curl --request GET \
--url https://api.malvo.io/webhooks/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/webhooks/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "39e1d11f-3c12-44a8-a788-75c5747e1a8e",
"event": "all",
"url": "https://api.your-app.com/webhooks/malvo",
"createdAt": "2026-06-10T12:00:00.000Z",
"updatedAt": "2026-06-10T12:00:00.000Z",
"disabled": null
}{
"code": 401,
"message": "Missing or invalid X-API-KEY",
"codeDescription": "UNAUTHORIZED"
}{
"code": 404,
"message": "Webhook not found",
"codeDescription": "NOT_FOUND"
}{
"code": 429,
"message": "Too many requests",
"codeDescription": "RATE_LIMIT_EXCEEDED"
}{
"code": 500,
"message": "Internal server error",
"codeDescription": "INTERNAL_ERROR"
}Recuperar webhook
Recupera um único webhook pelo id. O campo headers nunca é retornado. Retorna 404 se o id não existir ou pertencer a outra aplicação.
curl --request GET \
--url https://api.malvo.io/webhooks/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/webhooks/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "39e1d11f-3c12-44a8-a788-75c5747e1a8e",
"event": "all",
"url": "https://api.your-app.com/webhooks/malvo",
"createdAt": "2026-06-10T12:00:00.000Z",
"updatedAt": "2026-06-10T12:00:00.000Z",
"disabled": null
}{
"code": 401,
"message": "Missing or invalid X-API-KEY",
"codeDescription": "UNAUTHORIZED"
}{
"code": 404,
"message": "Webhook not found",
"codeDescription": "NOT_FOUND"
}{
"code": 429,
"message": "Too many requests",
"codeDescription": "RATE_LIMIT_EXCEEDED"
}{
"code": 500,
"message": "Internal server error",
"codeDescription": "INTERNAL_ERROR"
}Authorizations
Chave de API da aplicação (TTL de 2h). Renove via POST /auth com clientId/clientSecret. Em caso de 401, regenere a apiKey.
Path Parameters
Identificador (UUID) do webhook.
Response
Objeto Webhook (sem headers).
Webhook registrado na aplicação. O campo headers é write-only e nunca aparece neste objeto de resposta.
Identificador único do webhook, gerado pela Malvo.
"39e1d11f-3c12-44a8-a788-75c5747e1a8e"
Tipo de evento assinado (um valor do enum, incluindo all).
all, item/created, item/updated, item/error, item/deleted, item/waiting_user_input, item/login_succeeded, transactions/created, transactions/updated, transactions/deleted, connector/status_updated, payment_intent/created, payment_intent/waiting_payer_authorization, payment_intent/completed, payment_intent/error, scheduled_payment/created, scheduled_payment/completed, scheduled_payment/error, scheduled_payment/canceled, automatic_pix_payment/created, automatic_pix_payment/completed, automatic_pix_payment/error, automatic_pix_payment/canceled, smart_transfer_preauthorization/completed, smart_transfer_preauthorization/error, smart_transfer_payment/completed, smart_transfer_payment/error, payment_request/updated "all"
URL HTTPS de destino, validada no momento de criar/atualizar.
"https://api.your-app.com/webhooks/malvo"
Data/hora de criação (ISO 8601, UTC, milissegundos).
"2026-06-10T12:00:00.000Z"
Data/hora da última atualização (ISO 8601, UTC, milissegundos).
"2026-06-10T12:00:00.000Z"
Timestamp (ISO 8601) de quando o webhook foi desabilitado; null quando ativo. Configurável via PATCH.
null